Name:       python-slip
Version:    0.6.5
Release:    6
Summary:    Library for Python 2.x with Convenience, extension and workaround
License:    GPLv2+
URL:        https://github.com/nphilipp/%{name}
Source0:    https://github.com/nphilipp/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2

BuildArch:  noarch
BuildRequires:  python3 python3-devel

%description
The Simple Library for Python 2.x and Python 3.x packages contain
miscellaneous code for convenience, extension and workaround purposes. 
This package provides the "slip" and the "slip.util" modules.

%package -n python3-slip
Summary:    Convenience, extension and workaround code for Python 3.x
Requires:   python3-libselinux python3-decorator python3-six
Requires:   python3-slip = %{version}-%{release}
Requires:   python3-dbus >= 0.80
Provides:   python3-slip = %{version}-%{release}
Provides:   python3-slip-dbus = %{version}-%{release}
Obsoletes:  python3-slip-dbus

%description -n python3-slip
Slip for Python 3.x packages

%prep
%autosetup

find  .  -name '*.py' -o -name '*.py.in' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%make_build PYTHON=%{__python3}

%install
%make_install PYTHON=%{__python3}

%files -n python3-slip
%doc doc/dbus
%license COPYING
%dir %{python3_sitelib}/slip/
%{python3_sitelib}/slip/__pycache__
%{python3_sitelib}/slip/__init__.py*
%{python3_sitelib}/slip/util
%{python3_sitelib}/slip/_wrappers
%{python3_sitelib}/slip/dbus
%{python3_sitelib}/slip*-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 27 2022 zhangruifang <zhangruifang1@h-partners.com> - 0.6.5-6
- Rebuild for next release

* Wed Nov 4 2020 wangjie<wangjie294@huawei.com> -0.6.5-5
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.6.5-4
- provides python2-slip-dbus

* Fri Oct 18 2019 Yufa Fang <fangyufa1@huawei.com> - 0.6.5-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix spec in openEuler rule

* Thu Sep 19 2019 Yufa Fang <fangyufa1@huawei.com> - 0.6.5-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: split python2-slip-gtk for python2-slip

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.5-1 
- Package Init
